function battle_jai004(npcID) --食人草

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	m=flag.GetBattleValue(12953)
    n=flag.GetBattleValue(12961)
	local sg=flag.GetBattleValue(16222)	--语言提示打法
	
	if n==0 then
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=3 then

			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		elseif a>=4 and a<=6 then

			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1208,1)   --单体法术
		else

			battle.MagicToPlayer(0,1209,2)   --全体法术
			global.WaitForBattleSEEnd(4178)
				if sg==0 then   --战斗对话提示
					flag.SetBattleValue(16222,1)
					local zid=battle.GetRndPlayer()
					if zid==1 then
						uid=522
					elseif zid==2 then
						uid=183
					elseif zid==8 then
						uid=166
					elseif zid==16 then
						uid=110
					elseif zid==32 then
						uid=552
					end
					ui.Dialog(90051,uid,0,0,zid,0)--它的两个触手对我们威胁很大，可以尝试尽力先除掉那两个触手。
				end
		end
	else
		if m~=2 then
			a = battle.GetRndNumber(1,10)
			if a>=1 and a<=5 then
				m=m+1
				flag.SetBattleValue(12953,m)
				id = battle.GetRndPlayer()
				battle.AtkToPlayer(id,1)     --普通攻击
			else
				m=m+1
				flag.SetBattleValue(12953,m)
				id = battle.GetRndPlayer()
				battle.MagicToPlayer(id,1208,1)   --单体法术
			end

		else
			
			flag.SetBattleValue(12953,0)
			battle.MagicToNpc(npcID,1222,1)

			
		end
	end
end